CHMOD(1)

NAVN
chmod - change file mode bits

SYNOPSIS
chmod [TILVALG]... TILSTAND[,TILSTAND]... FIL...
chmod [TILVALG]... OKTAL_TILSTAND FIL...
chmod [TILVALG]... --reference=RFIL FIL...

BESKRIVELSE
This manual page documents the GNU version of chmod. chmod changes the file mode bits of each given file according to mode, which can be either a symbolic representation of changes to make, or an octal number representing the bit pattern for the new mode bits.

The format of a symbolic mode is [ugoa...][[-+=][perms...]...], where perms is either zero or more letters from the set rwxXst, or a single letter from the set ugo. Multiple symbolic modes can be given, separated by commas.

En kombination af bogstaverne ugoa afgører hvilke brugeres rettigher der vil blive ændret: Brugeren der ejer filen (u), andre brugere i filens gruppe (g), andre brugere ikke i filens gruppe (o) eller alle brugere (a). Hvis ingen af disse muligheder er givet, virker kommandoen som hvis den var givet et a, men bits sat i umask'en er ikke påvirket.

The operator + causes the selected file mode bits to be added to the existing file mode bits of each file; - causes them to be removed; and = causes them to be added and causes unmentioned bits to be removed except that a directory's unmentioned set user and group ID bits are not affected.

The letters rwxXst select file mode bits for the affected users: read (r), write (w), execute (or search for directories) (x), execute/search only if the file is a directory or already has execute permission for some user (X), set user or group ID on execution (s), restricted deletion flag or sticky bit (t). Instead of one or more of these letters, you can specify exactly one of the letters ugo: the permissions granted to the user who owns the file (u), the permissions granted to other users who are members of the file's group (g), and the permissions granted to users that are in neither of the two preceding categories (o).

A numeric mode is from one to four octal digits (0-7), derived by adding up the bits with values 4, 2, and 1. Omitted digits are assumed to be leading zeros. The first digit selects the set user ID (4) and set group ID (2) and restricted deletion or sticky (1) attributes. The second digit selects permissions for the user who owns the file: read (4), write (2), and execute (1); the third selects permissions for other users in the file's group, with the same values; and the fourth for other users not in the file's group, with the same values.

chmod ændre aldrig rettighederne på symbolske lænker. chmod systemkaldet kan ikke ændre deres rettigheder. Dette er ikke et problem, da rettighederne på symbolske lænker aldrig bliver brug. I stedet ændre chmod rettighederne på den fil der lænkes til. I modsætning til dette ignorerer chmod de symbolske lænker, den møder under et rekursivt kataloggennemløb.

SETUID AND SETGID BITS
chmod clears the set-group-ID bit of a regular file if the file's group ID does not match the user's effective group ID or one of the user's supplementary group IDs, unless the user has appropriate privileges. Additional restrictions may cause the set-user-ID and set-group-ID bits of MODE or RFILE to be ignored. This behavior depends on the policy and functionality of the underlying chmod system call. When in doubt, check the underlying system behavior.

For directories chmod preserves set-user-ID and set-group-ID bits unless you explicitly specify otherwise. You can set or clear the bits with symbolic modes like u+s and g-s. To clear these bits for directories with a numeric mode requires an additional leading zero, or leading = like 00755 , or =755

RESTRICTED DELETION FLAG OR STICKY BIT
The restricted deletion flag or sticky bit is a single bit, whose interpretation depends on the file type. For directories, it prevents unprivileged users from removing or renaming a file in the directory unless they own the file or the directory; this is called the restricted deletion flag for the directory, and is commonly found on world-writable directories like /tmp. For regular files on some older systems, the bit saves the program's text image on the swap device so it will load more quickly when run; this is called the sticky bit.

TILVALG

Ændr tilstanden for hver FIL til TILSTAND. Med --reference ændres tilstanden for hver FIL til den for RFIL.

-c, --changes
    ligesom verbose men rapporterer kun når der bliver lavet ændringer

-f, --silent, --quiet
    undertrykker de fleste fejlbeskeder

-v, --verbose
    skriver en besked for alle filer den undersøger

--no-preserve-root
    behandl ikke "/" specielt (standard)

--preserve-root
    virk ikke rekursivt på "/"

--reference=RFIL
    bruger RFILs rettigheder i stedet for værdien af TILSTAND

-R, --recursive
    ændre filer og kataloger rekursivt

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

Hver TILSTAND er på formen "[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+".

FORFATTER
Skrevet af David MacKenzie og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
chmod(2)

Fuld dokumentation <https://www.gnu.org/software/coreutils/chmod>
eller lokalt tilgængelig via: info '(coreutils) chmod invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Kenneth Rohde Christiansen <kenneth@gnu.org>, Peter Makholm <peter@makholm.net> og Byrial Ole Jensen <byrial@vip.cybercity.dk> Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.